namespace Ryujinx.Graphics.Gpu.State
{
    enum MethodOffset
    {
        Inline2MemoryParams    = 0x60,
        Inline2MemoryExecute   = 0x6c,
        Inline2MemoryPushData  = 0x6d,
        CopyDstTexture         = 0x80,
        CopySrcTexture         = 0x8c,
        DispatchParamsAddress  = 0xad,
        Dispatch               = 0xaf,
        CopyBufferParams       = 0x100,
        CopyBufferSwizzle      = 0x1c2,
        CopyBufferDstTexture   = 0x1c3,
        CopyBufferSrcTexture   = 0x1ca,
        RtColorState           = 0x200,
        CopyTextureControl     = 0x223,
        CopyRegion             = 0x22c,
        ViewportTransform      = 0x280,
        ViewportExtents        = 0x300,
        VertexBufferDrawState  = 0x35d,
        ClearColors            = 0x360,
        ClearDepthValue        = 0x364,
        ClearStencilValue      = 0x368,
        DepthBiasState         = 0x370,
        StencilBackMasks       = 0x3d5,
        InvalidateTextures     = 0x3dd,
        RtDepthStencilState    = 0x3f8,
        VertexAttribState      = 0x458,
        RtDepthStencilSize     = 0x48a,
        DepthTestEnable        = 0x4b3,
        DepthWriteEnable       = 0x4ba,
        DepthTestFunc          = 0x4c3,
        BlendEnable            = 0x4d8,
        StencilTestState       = 0x4e0,
        FirstVertex            = 0x50d,
        FirstInstance          = 0x50e,
        ResetCounter           = 0x54c,
        RtDepthStencilEnable   = 0x54e,
        ConditionState         = 0x554,
        SamplerPoolState       = 0x557,
        DepthBiasFactor        = 0x55b,
        TexturePoolState       = 0x55d,
        StencilBackTestState   = 0x565,
        DepthBiasUnits         = 0x56f,
        RtMsaaMode             = 0x574,
        ShaderBaseAddress      = 0x582,
        PrimitiveRestartState  = 0x591,
        IndexBufferState       = 0x5f2,
        DepthBiasClamp         = 0x61f,
        VertexBufferInstanced  = 0x620,
        FaceState              = 0x646,
        RtColorMask            = 0x680,
        ReportState            = 0x6c0,
        VertexBufferState      = 0x700,
        BlendState             = 0x780,
        VertexBufferEndAddress = 0x7c0,
        ShaderState            = 0x800,
        UniformBufferState     = 0x8e0,
        TextureBufferIndex     = 0x982
    }
}